<?php

class MercadoSystemClass {

  private $o_ParamBean;
  
  public function __construct($o_ParamBean){
    $this->o_ParamBean = $o_ParamBean;
  }
  
  private function getObjParamBean(){
    return $this->o_ParamBean;
  }
  
  public function insertMercado(){
    
    $o_MercadoBL = new MercadoBL();
    return $o_MercadoBL->insertarMercado($this->getObjParamBean());
    
  }
  
  public function insertUsuario($o_UsuarioBean){
    $o_UsuarioBL = new UsuarioBL();
    $o_UsuarioBL->insertarUsuario($o_UsuarioBean);
  }
   
  public function eliminarMercado(){
    
    $o_MercadoBL = new MercadoBL();
    return $o_MercadoBL->eliminarMercado($this->getObjParamBean());
    
  }
  
  public function actualizarMercado(){
    
    $o_MercadoBL = new MercadoBL();
    return $o_MercadoBL->modificarMercado($this->getObjParamBean());
    
  }
  
  public function getTipoMercado(){
  
    $o_TipoMercadoBL = new TipoMercadoBL();
    return $o_TipoMercadoBL->busquedaTipoMercado($this->getObjParamBean());
  
  }
  
  public function getMercado(){
  
    $o_MercadoBL = new MercadoBL();
    return $o_MercadoBL->getMercado($this->getObjParamBean());
  
  }
  
  public function getGrado(){
    $o_GradoBL = new GradoBL();
    return $o_GradoBL->busquedaGrado(new GradoBean());
    
  }
   public function getFacultad(){
    
    $o_FacultadBL = new FacultadBL();
    return $o_FacultadBL->getFacultad($this->getObjParamBean());
  }
  
  public function getEspecialidad(){
    
    $o_EspecialidadBL = new EspecialidadBL();
    return $o_EspecialidadBL->getEspecialidad($this->getObjParamBean());
  }
  
   public function modificarMercado(){
    $o_MercadoBL = new MercadoBL();
    return $o_MercadoBL->modificarMercado($this->getObjParamBean());
  }
  
  

}